"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Display = void 0;
//#endregion
const level_1 = require("./level");
const lib_1 = require("tnp-core/lib");
const backend_logging_1 = require("./backend-logging");
//#region @backend
const chalk_1 = require("chalk");
//#endregion
class Display {
    static msg(message, params, moduleName, moduleColor, level, moduleWidth, isProductionMode) {
        if (isProductionMode) {
            return;
        }
        ;
        let color = 'gray';
        if (level === level_1.Level.INFO) {
            color = 'deepskyblue';
        }
        if (level === level_1.Level.ERROR) {
            color = 'red';
        }
        if (level === level_1.Level.WARN) {
            color = 'orange';
        }
        if (moduleWidth) {
            const diff = moduleWidth - moduleName.length;
            if (diff > 0) {
                for (let i = 0; i < diff; i++) {
                    moduleName += ' ';
                }
            }
        }
        /* */
        /* */
        /* */
        /* */
        /* */
        /* */
        /* */
        /* */
        /* */
        /* */
        /* */
        /* */
        /* */
        /* */
        /* */
        /* */
        /* */
        /* */
        /* */
        /* */
        /* */
        /* */
        /* */
        /* */
        /* */
        /* */
        /* */
        /* */
        /* */
        /* */
        /* */
        /* */
        /* */
        /* */
        /* */
        /* */
        /* */
        /* */
        /* */
        /* */
        /* */
        /* */
        /* */
        /* */
        /* */
        /* */
        /* */
        /* */
        //#region @backend
        if (lib_1.Helpers.isNode) {
            let a1 = chalk_1.default.bgHex(moduleColor)(global.hideLog ? '' : `${chalk_1.default.black(moduleName)}`);
            let p = params;
            if (typeof message === 'string') {
                a1 = a1 + chalk_1.default.keyword(color)(global.hideLog ? '' : ' [') + chalk_1.default.dim(message)
                    + chalk_1.default.keyword(color)(global.hideLog ? '' : '] ');
            }
            else {
                p = [message].concat(params);
            }
            (0, backend_logging_1.consoleLog)(a1, level);
            (0, backend_logging_1.displayParams)(p, level);
        }
        //#endregion
    }
}
exports.Display = Display;
//# sourceMappingURL=display.js.map