"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LevelOrder = exports.LevelKey = exports.Level = void 0;
var Level;
(function (Level) {
    Level[Level["DATA"] = 0] = "DATA";
    Level[Level["INFO"] = 1] = "INFO";
    Level[Level["WARN"] = 2] = "WARN";
    Level[Level["ERROR"] = 3] = "ERROR";
    Level[Level["SUCCESS"] = 4] = "SUCCESS";
    Level[Level["TASK_STARTED"] = 5] = "TASK_STARTED";
    Level[Level["TASK_DONE"] = 6] = "TASK_DONE";
    Level[Level["__NOTHING"] = 7] = "__NOTHING";
})(Level || (exports.Level = Level = {}));
exports.LevelKey = {
    [Level.DATA]: 'log',
    [Level.INFO]: 'info',
    [Level.WARN]: 'warn',
    [Level.ERROR]: 'error',
    [Level.SUCCESS]: 'success',
    [Level.TASK_STARTED]: 'taskstarted',
    [Level.TASK_DONE]: 'taskdone',
    [Level.__NOTHING]: '',
};
exports.LevelOrder = [
    exports.LevelKey[Level.DATA],
    exports.LevelKey[Level.TASK_STARTED],
    exports.LevelKey[Level.TASK_DONE],
    exports.LevelKey[Level.INFO],
    exports.LevelKey[Level.SUCCESS],
    exports.LevelKey[Level.WARN],
    exports.LevelKey[Level.ERROR],
];
//# sourceMappingURL=level.js.map